Update an existing Developer
curl --request PATCH \
--url https://commerce.driv.ly/api/developers/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "com_9j3k2dls0j29",
"name": "Auto Sales Co.",
"address": "123 Main St, Anytown, USA",
"locations": [
{
"id": "loc_k2j3l9s9d4j0",
"companyId": "com_9j3k2dls0j29",
"address": "123 Main St, Anytown, USA",
"phone": "+1234567890"
}
]
}
'import requests
url = "https://commerce.driv.ly/api/developers/{id}"
payload = {
"id": "com_9j3k2dls0j29",
"name": "Auto Sales Co.",
"address": "123 Main St, Anytown, USA",
"locations": [
{
"id": "loc_k2j3l9s9d4j0",
"companyId": "com_9j3k2dls0j29",
"address": "123 Main St, Anytown, USA",
"phone": "+1234567890"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'com_9j3k2dls0j29',
name: 'Auto Sales Co.',
address: '123 Main St, Anytown, USA',
locations: [
{
id: 'loc_k2j3l9s9d4j0',
companyId: 'com_9j3k2dls0j29',
address: '123 Main St, Anytown, USA',
phone: '+1234567890'
}
]
})
};
fetch('https://commerce.driv.ly/api/developers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "com_9j3k2dls0j29",
"name": "Auto Sales Co.",
"address": "123 Main St, Anytown, USA",
"locations": [
{
"id": "loc_k2j3l9s9d4j0",
"companyId": "com_9j3k2dls0j29",
"address": "123 Main St, Anytown, USA",
"phone": "+1234567890"
}
]
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Developer Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Companies
Update an existing Developer
PATCH
/
developers
/
{id}
Update an existing Developer
Path Parameters
Customer is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Customer is uniquely identified by id
Customer is located at Addresses
Customer has Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Company has Name
Company has Contact
Response
Developer Updated
Show child attributes
Show child attributes
Example:
{
"id": "com_9j3k2dls0j29",
"name": "Auto Sales Co.",
"address": "123 Main St, Anytown, USA",
"locations": [
{
"id": "loc_k2j3l9s9d4j0",
"companyId": "com_9j3k2dls0j29",
"address": "123 Main St, Anytown, USA",
"phone": "+1234567890"
}
]
}